---
title: Config Options for scala-finch
sidebar_label: scala-finch
---

| Option | Description | Values | Default |
| ------ | ----------- | ------ | ------- |
|packageName|Finch package name (e.g. org.openapitools).| |org.openapitools|
|modelPackage|package for generated models| |null|
|apiPackage|package for generated api classes| |null|

## IMPORT MAPPING

| Type/Alias | Imports |
| ---------- | ------- |
|LocalDateTime|java.time.LocalDateTime|
|LocalTime|java.time.LocalTime|
|HashMap|scala.collection.immutable.HashMap|
|URI|java.net.URI|
|Timestamp|java.sql.Timestamp|
|LocalDate|java.time.LocalDate|
|BigDecimal|java.math.BigDecimal|
|Date|java.util.Date|
|DateTime|java.time.LocalDateTime|
|ZonedDateTime|java.time.ZonedDateTime|
|ArrayBuffer|scala.collection.mutable.ArrayBuffer|
|UUID|java.util.UUID|
|File|java.io.File|
|Map|scala.collection.immutable.Map|
|Seq|scala.collection.immutable.Seq|


## INSTANTIATION TYPES

| Type/Alias | Instantiated By |
| ---------- | --------------- |
|array|ArrayList|
|map|HashMap|


## LANGUAGE PRIMITIVES

<ul data-columns="2" style="list-style-type: disc;-webkit-columns:2;-moz-columns:2;columns:2;-moz-column-fill:auto;column-fill:auto"><li>Integer</li>
<li>Float</li>
<li>AnyVal</li>
<li>AnyRef</li>
<li>Long</li>
<li>Object</li>
<li>String</li>
<li>Boolean</li>
<li>Double</li>
<li>Any</li>
<li>Int</li>
</ul>

## RESERVED WORDS

<ul data-columns="2" style="list-style-type: disc;-webkit-columns:2;-moz-columns:2;columns:2;-moz-column-fill:auto;column-fill:auto"><li>synchronized</li>
<li>def</li>
<li>do</li>
<li>type</li>
<li>while</li>
<li>float</li>
<li>protected</li>
<li>else</li>
<li>continue</li>
<li>trait</li>
<li>catch</li>
<li>forsome</li>
<li>if</li>
<li>case</li>
<li>val</li>
<li>new</li>
<li>package</li>
<li>static</li>
<li>void</li>
<li>sealed</li>
<li>var</li>
<li>double</li>
<li>byte</li>
<li>finally</li>
<li>this</li>
<li>strictfp</li>
<li>throws</li>
<li>enum</li>
<li>extends</li>
<li>null</li>
<li>transient</li>
<li>final</li>
<li>true</li>
<li>try</li>
<li>object</li>
<li>implements</li>
<li>implicit</li>
<li>private</li>
<li>import</li>
<li>const</li>
<li>lazy</li>
<li>for</li>
<li>interface</li>
<li>long</li>
<li>switch</li>
<li>default</li>
<li>goto</li>
<li>public</li>
<li>native</li>
<li>assert</li>
<li>yield</li>
<li>override</li>
<li>class</li>
<li>break</li>
<li>false</li>
<li>match</li>
<li>volatile</li>
<li>abstract</li>
<li>int</li>
<li>instanceof</li>
<li>super</li>
<li>with</li>
<li>throw</li>
<li>char</li>
<li>short</li>
<li>return</li>
</ul>
